# RPM specfile for TimeDate module
# Generated Mon Nov 26 15:03:01 2001 GMT by Ximian build system
# $Id: bb_do,v 1.150 2001/11/18 14:29:29 peter Exp $
# from $Id: ximian-build.conf,v 1.3 2001/11/19 23:00:25 peter Exp $

%define nam	TimeDate
%define ver	1.10

Name:     	perl-TimeDate
Version: 	1.10
Release:	ximian.1
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Linux Mandrake 8.1 / i586
Copyright:	Artistic
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc
URL:		http://www.cpan.org/
Source0:	TimeDate-1.10.tar.gz
Summary:	TimeDate extension for Perl5
Group:		Development/Perl

%description
This package provides functions for handling times and dates in
various fotats.

%files
%defattr(-, root, root)
%doc README
/usr/lib/perl5


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n TimeDate-1.10
    ;;
all)
%setup  -q -n TimeDate-1.10
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    perl Makefile.PL INSTALLDIRS=perl
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE} CC=gcc OPTIMIZE="-O2 -g -Wall"; ${MAKE} test
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} PREFIX=${DESTDIR}/usr install; find ${DESTDIR} -type f -name .packlist |xargs -r rm -f; find ${DESTDIR} -type f -name perllocal.pod |xargs -r rm -f
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Thu Nov  8 2001 thunder

- Version: 1.10-ximian.1
- Imported into packaging system.

